MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025342Community[OCCT] OCCT:Modeling Algorithmspublic2014-10-08 17:422016-04-20 15:50
ReporterTimo 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0025342: [Regression] BRepAlgoAPI_Section returns wrong number of edges
DescriptionThe given test case worked in OCCT 6.6.0 and before. The result contained 4 edges.

In OCCT 6.7.0 and 6.7.1 the result contains only 1 edge. This is wrong.
I didn't check with current master.
Steps To Reproducerestore Pump2.brep p
explode p
bop p_1 p_2
bopsection r
explode r
=> r contains 1 edge, but should contain 4 edges
TagsNo tags attached.
Test case numberbugs modalg_6 bug25342
Attached Files? file icon Pump2.brep (272,065 bytes) 2014-10-08 17:42

- Relationships
related to 0026252closedbugmaster Open CASCADE GeomAdaptor_Surface should use inner adaptor to calculate values of complex surfaces 

-  Notes
(0032831)
abv (manager)
2014-10-08 18:04

I confirm the problem exists on current master
(0048409)
aml (developer)
2015-11-20 13:18

Dear msv,

On current master problem not reproduced. Please check detailed problem description below.

How algorithm works:

1) build discrete set of points (cloud).
2) Create curves on clouds.
3) Create Edges on curves.

Faulty reason:
There are some checks, at step 3, which deal work with curves and determine create edge or not. One of them perform projection of point on the surfaces.

One of surfaces is surface of revolution, so incorrect computation of D1 on it lead to the incorrect gradient and bad result of optimization algo (which perform projection).

In scope of 26252 incorrect computation of D1 on surfaces of revolution were eliminated. So on current master faulty not reproduced.

So I propose to create test case and close this issue.
(0048423)
msv (developer)
2015-11-20 14:43

Perfect! I agree.
(0048461)
bugmaster (administrator)
2015-11-23 10:36

Please create testing case
(0048952)
git (administrator)
2015-12-10 15:04

Branch CR25342 has been created by mkv.

SHA-1: 503c871cc57e2692372c9d9a00859bc5674532db


Detailed log of new commits:

Author: mkv
Date: Thu Dec 10 15:04:01 2015 +0300

    Test case for issue CR25342
(0048953)
mkv (tester)
2015-12-10 15:11

Dear aml,
could you please review following test case
bugs modalg_6 bug25342

It is OK:
http://occt-tests/CR26949-master-occt-64/Debian70-64/bugs/modalg_6/bug25342.html [^]
http://occt-tests/CR26949-master-occt-64/Windows-64-VC10/bugs/modalg_6/bug25342.html [^]
(0049006)
aml (developer)
2015-12-11 07:17

Dear mkv,
test case "bugs modalg_6 bug25342" is OK.
(0049082)
mkv (tester)
2015-12-14 15:13

Dear BugMaster,
Branch CR25342 is TESTED.
(0053013)
git (administrator)
2016-04-17 14:00

Branch CR25342 has been deleted by kgv.

SHA-1: 503c871cc57e2692372c9d9a00859bc5674532db

- Related Changesets
occt: master 702ef49f
Timestamp: 2015-12-10 12:04:01
Author: mkv
Committer: bugmaster
Details ] Diff ]
0025342: [Regression] BRepAlgoAPI_Section returns wrong number of edges
Test case for issue CR25342
add - tests/bugs/modalg_6/bug25342 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-08 17:42 Timo New Issue
2014-10-08 17:42 Timo Assigned To => ifv
2014-10-08 17:42 Timo File Added: Pump2.brep
2014-10-08 18:04 abv Note Added: 0032831
2014-10-31 10:10 abv Assigned To ifv => aml
2014-10-31 10:10 abv Target Version 6.8.0 => 7.1.0
2015-11-10 08:33 azv Relationship added related to 0026252
2015-11-20 13:18 aml Note Added: 0048409
2015-11-20 13:18 aml Assigned To aml => msv
2015-11-20 13:18 aml Status new => feedback
2015-11-20 14:43 msv Note Added: 0048423
2015-11-20 14:43 msv Assigned To msv => bugmaster
2015-11-23 10:36 bugmaster Assigned To bugmaster => apn
2015-11-23 10:36 bugmaster Note Added: 0048461
2015-12-08 10:28 bugmaster Assigned To apn => mkv
2015-12-10 15:04 git Note Added: 0048952
2015-12-10 15:11 mkv Note Added: 0048953
2015-12-10 15:11 mkv Assigned To mkv => aml
2015-12-10 15:12 mkv Test case number => bugs modalg_6 bug25342
2015-12-11 07:17 aml Note Added: 0049006
2015-12-11 07:17 aml Assigned To aml => mkv
2015-12-14 15:13 mkv Note Added: 0049082
2015-12-14 15:13 mkv Assigned To mkv => bugmaster
2015-12-14 15:13 mkv Status feedback => tested
2015-12-18 15:25 bugmaster Changeset attached => occt master 702ef49f
2015-12-18 15:25 bugmaster Status tested => verified
2015-12-18 15:25 bugmaster Resolution open => fixed
2015-12-21 12:53 bugmaster Target Version 7.1.0 => 7.0.0
2016-04-17 14:00 git Note Added: 0053013
2016-04-20 15:42 user533 Fixed in Version => 7.0.0
2016-04-20 15:50 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker